import httpStatus from 'http-status';
import deleteOperation from '../operations/delete.js';
export const deleteHandler = async (req)=>{
    // We cannot import the addDataAndFileToRequest utility here from the 'next' package because of dependency issues
    // However that utility should be used where possible instead of manually appending the data
    let data;
    try {
        data = await req.json();
    } catch (error) {
        data = {};
    }
    if (data) {
        req.data = data;
        req.json = ()=>Promise.resolve(data);
    }
    const result = await deleteOperation({
        key: req.routeParams?.key,
        req,
        user: req.user
    });
    return Response.json({
        ...result,
        message: req.t('general:deletedSuccessfully')
    }, {
        status: httpStatus.OK
    });
};

//# sourceMappingURL=delete.js.map