import httpStatus from 'http-status';
import findOne from '../operations/findOne.js';
export const findByIDHandler = async (req)=>{
    // We cannot import the addDataAndFileToRequest utility here from the 'next' package because of dependency issues
    // However that utility should be used where possible instead of manually appending the data
    let data;
    try {
        data = await req.json();
    } catch (error) {
        data = {};
    }
    if (data) {
        req.data = data;
        req.json = ()=>Promise.resolve(data);
    }
    const result = await findOne({
        key: req.routeParams?.key,
        req,
        user: req.user
    });
    return Response.json({
        ...result ? result : {
            message: req.t('general:notFound'),
            value: null
        }
    }, {
        status: httpStatus.OK
    });
};

//# sourceMappingURL=findOne.js.map